<?php

use CRM_Activitystatus_ExtensionUtil as E;

return [
  'activitystatus_default' => [
    'name' => 'activitystatus_default',
    'type' => 'Integer',
    'default' => CRM_Activitystatus_Utils::getDefaultActivityStatus(),
    'html_type' => 'select',
    'html_attributes' => [
      'class' => 'crm-select2',
    ],
    'pseudoconstant' => [
      'optionGroupName' => 'activity_status',
      'keyColumn' => 'value',
      'optionEditPath' => 'civicrm/admin/options/activity_status',
    ],
    'add' => '1.0',
    'title' => E::ts('Default Activity Status'),
    'is_domain' => 1,
    'is_contact' => 0,
    'is_required' => true,
    'description' => E::ts('Default activity status when creating new activities.'),
    'settings_pages' => [
      'activitystatus' => [
        'weight' => 10,
      ],
    ],
    'on_change' => [
      'CRM_Activitystatus_Utils::onChangeDefaultActivityStatus',
    ],
  ],
  'activitystatus_priority' => [
    'name' => 'activitystatus_priority',
    'type' => 'Integer',
    'default' => CRM_Activitystatus_Utils::getDefaultActivityPriority(),
    'html_type' => 'select',
    'html_attributes' => [
      'class' => 'crm-select2',
    ],
    'pseudoconstant' => [
      'optionGroupName' => 'priority',
      'keyColumn' => 'value',
      'optionEditPath' => 'civicrm/admin/options/priority',
    ],
    'add' => '1.0',
    'title' => E::ts('Default Activity Priority'),
    'is_domain' => 1,
    'is_contact' => 0,
    'is_required' => true,
    'description' => E::ts('Default priority when creating new activities.'),
    'settings_pages' => [
      'activitystatus' => [
        'weight' => 20,
      ],
    ],
    'on_change' => [
      'CRM_Activitystatus_Utils::onChangeDefaultActivityPriority',
    ],
  ],
];

